Page MenuHomePhabricator

Remove usages and drop hard deprecated User methods
Closed, ResolvedPublic

Description

Calls that must be resolved:

  • User::setPassword() - Installer (r585472); resetUserEmail.php (r585477); removal (r609485)
  • User::setInternalPassword() - (r607766)
  • User::checkPassword() - (r596716)
  • User::checkTemporaryPassword() -
  • User::setPasswordInternal() - (r609485)
  • User::selectFields - user/UserTest.php (r585334)

Other calls:

Event Timeline

Ammarpad created this task.Apr 1 2020, 11:39 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 1 2020, 11:39 PM

Change 585350 had a related patch set uploaded (by Ammarpad; owner: Ammarpad):
[mediawiki/extensions/OpenID@master] Add method to check user passwords

https://gerrit.wikimedia.org/r/585350

Change 585472 had a related patch set uploaded (by Ammarpad; owner: Ammarpad):
[mediawiki/core@master] Installer: Remove call to deprecated setPassword() User method

https://gerrit.wikimedia.org/r/585472

Change 585477 had a related patch set uploaded (by Ammarpad; owner: Ammarpad):
[mediawiki/core@master] Remove call to deprecated setPassword() User method

https://gerrit.wikimedia.org/r/585477

Ammarpad updated the task description. (Show Details)Apr 2 2020, 12:05 PM

Change 585487 had a related patch set uploaded (by Ammarpad; owner: Ammarpad):
[mediawiki/extensions/AutoProxyBlock@master] Drop back-compat code to help remove call to deprecated setPassword() method

https://gerrit.wikimedia.org/r/585487

Change 585332 had a related patch set uploaded (by Ammarpad; owner: Ammarpad):
[mediawiki/extensions/AzharAuth@master] Avoid use of deprecated User::selectFields method

https://gerrit.wikimedia.org/r/585332

Change 585334 had a related patch set uploaded (by Ammarpad; owner: Ammarpad):
[mediawiki/core@master] Remove usage of deprecated selectFields method from UserTest

https://gerrit.wikimedia.org/r/585334

Change 585332 merged by jenkins-bot:
[mediawiki/extensions/AzharAuth@master] Avoid use of deprecated User::selectFields method

https://gerrit.wikimedia.org/r/585332

Ammarpad updated the task description. (Show Details)May 5 2020, 5:25 AM

Change 585350 merged by jenkins-bot:
[mediawiki/extensions/OpenID@master] Add method to check user password

https://gerrit.wikimedia.org/r/585350

Ammarpad updated the task description. (Show Details)May 15 2020, 1:39 PM

Change 596711 had a related patch set uploaded (by Ammarpad; owner: Ammarpad):
[mediawiki/core@master] Drop User::checkTemporaryPassword()

https://gerrit.wikimedia.org/r/596711

Change 596716 had a related patch set uploaded (by Ammarpad; owner: Ammarpad):
[mediawiki/core@master] Drop User::checkPassword()

https://gerrit.wikimedia.org/r/596716

Change 596711 merged by jenkins-bot:
[mediawiki/core@master] Drop User::checkTemporaryPassword()

https://gerrit.wikimedia.org/r/596711

Change 585487 merged by jenkins-bot:
[mediawiki/extensions/AutoProxyBlock@master] Drop back-compat code to remove call to deprecated setPassword() method

https://gerrit.wikimedia.org/r/585487

Change 585477 merged by jenkins-bot:
[mediawiki/core@master] Remove call to deprecated setPassword() User method

https://gerrit.wikimedia.org/r/585477

Change 585472 merged by jenkins-bot:
[mediawiki/core@master] Installer: Remove call to deprecated setPassword() User method

https://gerrit.wikimedia.org/r/585472

Change 607766 had a related patch set uploaded (by Ammarpad; owner: Ammarpad):
[mediawiki/core@master] Remove User::setInternalPassword()

https://gerrit.wikimedia.org/r/607766

Change 596716 merged by jenkins-bot:
[mediawiki/core@master] Drop User::checkPassword()

https://gerrit.wikimedia.org/r/596716

Ammarpad updated the task description. (Show Details)Jun 25 2020, 11:49 AM

Change 607766 merged by jenkins-bot:
[mediawiki/core@master] Remove User::setInternalPassword()

https://gerrit.wikimedia.org/r/607766

Change 609485 had a related patch set uploaded (by Ammarpad; owner: Ammarpad):
[mediawiki/core@master] Remove User::setPassword()

https://gerrit.wikimedia.org/r/609485

Ammarpad triaged this task as Medium priority.Jul 3 2020, 7:43 PM
Ammarpad updated the task description. (Show Details)
Ammarpad updated the task description. (Show Details)Jul 10 2020, 8:05 AM

Change 609485 merged by jenkins-bot:
[mediawiki/core@master] Remove User::setPassword()

https://gerrit.wikimedia.org/r/609485

Change 585334 merged by jenkins-bot:
[mediawiki/core@master] Remove selectFields User method

https://gerrit.wikimedia.org/r/585334

Tgr awarded a token.Jul 12 2020, 4:59 PM
Ammarpad renamed this task from Drop hard deprecated User methods to Remove usages and drop hard deprecated User methods.Jul 12 2020, 6:40 PM
Ammarpad closed this task as Resolved.
Ammarpad removed a project: Patch-For-Review.
Ammarpad updated the task description. (Show Details)
Ammarpad claimed this task.Jul 13 2020, 4:30 AM